<?php

class UserSystemClass {

  private $o_ParamBean;
  
  public function __construct($o_ParamBean){
    $this->o_ParamBean = $o_ParamBean;
  }
  
  private function getObjParamBean(){
    return $this->o_ParamBean;
  }
  
  public function insertUser(){
    
    $o_UsuarioBL = new UsuarioBL();
    $o_UsuarioBL->insertarUsuario($this->getObjParamBean());
    
  }
  
  public function getUser(){
  
    $o_UsuarioBL = new UsuarioBL();
    return $o_UsuarioBL->getUsuario($this->getObjParamBean());
  
  }
  
  public function getRol(){
    
    $o_RolBL = new RolBL();
    return $o_RolBL->getRol($this->getObjParamBean());
    
  }
  
  public function getCountResult(UsuarioBean $o_UsuarioBean){
    $o_UsuarioBL = new UsuarioBL();
    return $o_UsuarioBL->getCountResult($o_UsuarioBean);
  }
   public function actualizarUser(){
   
    $o_UsuarioBL = new UsuarioBL();
    return $o_UsuarioBL->modificarUsuario($this->getObjParamBean());
    
  }
   public function eliminarUsuario(){
    
    $o_UsuarioBL = new UsuarioBL();
    return $o_UsuarioBL->eliminarUsuario($this->getObjParamBean());
    
  }

}